Skip to content

小红书蒲公英 API - 笔记详情 (V1)

prod-global
GET
/api/xiaohongshu-pgy/api/solar/kol/dataV2/notesDetail/v1

获取详细的笔记表现指标。

请求参数

参数名位置类型必填说明
tokenquerystring用户鉴权令牌。
userIdquerystringKOL的用户ID。
advertiseSwitchquerystring广告过滤器。

可用值:
- ALL:所有笔记
- ORGANIC_ONLY:仅限自然笔记
orderTypequerystring排序方式。

可选值:
- LATEST: 最新
- MOST_READ: 最多阅读
- MOST_INTERACT: 最多互动
noteTypequerystring笔记类型。

可用值:
- ALL: 所有类型
- COOPERATION: 合作笔记
- PHOTO_TEXT: 图文笔记
- VIDEO: 纯视频笔记
isThirdPlatformquerystring是否来自第三方平台。

可用值:
- NO: 否
- YES: 是
pageNumberqueryinteger页码。

代码示例

💡 环境说明

默认示例使用 https://api.justoneapi.com (prod-global)。中国大陆地区建议替换为 http://47.117.133.51:30015 (prod-cn) 以获得更好的访问体验。详见 环境选择

bash
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/xiaohongshu-pgy/api/solar/kol/dataV2/notesDetail/v1?token=YOUR_API_KEY&userId=VALUE"
text
我想使用 Just One API 提供的“笔记详情 (V1)”接口。
接口地址: https://api.justoneapi.com/api/xiaohongshu-pgy/api/solar/kol/dataV2/notesDetail/v1
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/xiaohongshu-pgy-apis/notes-details-v1-zh.json

请求参数说明:
- token (query): 用户鉴权令牌。 (必填)
- userId (query): KOL的用户ID。 (必填)
- advertiseSwitch (query): 广告过滤器。

可用值:
- `ALL`:所有笔记
- `ORGANIC_ONLY`:仅限自然笔记
- orderType (query): 排序方式。

可选值:
- `LATEST`: 最新
- `MOST_READ`: 最多阅读
- `MOST_INTERACT`: 最多互动
- noteType (query): 笔记类型。

可用值:
- `ALL`: 所有类型
- `COOPERATION`: 合作笔记
- `PHOTO_TEXT`: 图文笔记
- `VIDEO`: 纯视频笔记
- isThirdPlatform (query): 是否来自第三方平台。

可用值:
- `NO`: 否
- `YES`: 是
- pageNumber (query): 页码。

返回格式: JSON

响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败,请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 余额不足

请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
python
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import requests

url = "https://api.justoneapi.com/api/xiaohongshu-pgy/api/solar/kol/dataV2/notesDetail/v1?token=YOUR_API_KEY&userId=VALUE"
response = requests.get(url)
print(response.json())
js
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/xiaohongshu-pgy/api/solar/kol/dataV2/notesDetail/v1?token=YOUR_API_KEY&userId=VALUE", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/xiaohongshu-pgy/api/solar/kol/dataV2/notesDetail/v1?token=YOUR_API_KEY&userId=VALUE"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/xiaohongshu-pgy/api/solar/kol/dataV2/notesDetail/v1?token=YOUR_API_KEY&userId=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/xiaohongshu-pgy/api/solar/kol/dataV2/notesDetail/v1?token=YOUR_API_KEY&userId=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

响应结果

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "readNum": 1142,
        "likeNum": 53,
        "collectNum": 11,
        "isAdvertise": false,
        "isVideo": true,
        "noteId": "69ad5b0b000000002203ac87",
        "imgUrl": "http://ci.xiaohongshu.com/1040g00831tevimh558005pcp0b0ogdgr5ct59so?imageView2/2/w/540/format/jpg/q/75",
        "title": "被儿子的女神节礼物整破防了😭",
        "brandName": null,
        "date": "2026-03-08",
        "thirdReadUserNum": 0
      },
      {
        "readNum": 131324,
        "likeNum": 791,
        "collectNum": 200,
        "isAdvertise": false,
        "isVideo": true,
        "noteId": "69abf843000000002603c375",
        "imgUrl": "http://ci.xiaohongshu.com/1040g2sg31tdk8qj46ee05pcp0b0ogdgr5fbfslg?imageView2/2/w/540/format/jpg/q/75",
        "title": "你家娃也是一关灯就要喝水吗😂",
        "brandName": null,
        "date": "2026-03-07",
        "thirdReadUserNum": 0
      },
      {
        "readNum": 29051,
        "likeNum": 613,
        "collectNum": 87,
        "isAdvertise": false,
        "isVideo": true,
        "noteId": "69aab0360000000023039c1d",
        "imgUrl": "http://ci.xiaohongshu.com/1040g00831tcc7a4c56005pcp0b0ogdgr5cbo97g?imageView2/2/w/540/format/jpg/q/75",
        "title": "对孩子最好的爱的教育就是爸爸爱妈妈",
        "brandName": null,
        "date": "2026-03-06",
        "thirdReadUserNum": 0
      },
      {
        "readNum": 92987,
        "likeNum": 566,
        "collectNum": 71,
        "isAdvertise": false,
        "isVideo": true,
        "noteId": "69a9581300000000260315e2",
        "imgUrl": "http://ci.xiaohongshu.com/1040g00831tb26t83le005pcp0b0ogdgrup8ekno?imageView2/2/w/540/format/jpg/q/75",
        "title": "情绪这块把控的刚刚好😂",
        "brandName": null,
        "date": "2026-03-05",
        "thirdReadUserNum": 0
      },
      {
        "readNum": 91927,
        "likeNum": 408,
        "collectNum": 60,
        "isAdvertise": false,
        "isVideo": true,
        "noteId": "69a6bccd00000000220336c3",
        "imgUrl": "http://ci.xiaohongshu.com/1040g2sg31t8gnf9b58e05pcp0b0ogdgrdkc4g5o?imageView2/2/w/540/format/jpg/q/75",
        "title": "姐姐:我要验牌! 团团:我只关心吃",
        "brandName": null,
        "date": "2026-03-03",
        "thirdReadUserNum": 0
      },
      {
        "readNum": 85581,
        "likeNum": 1082,
        "collectNum": 90,
        "isAdvertise": false,
        "isVideo": true,
        "noteId": "69a55e120000000026030063",
        "imgUrl": "http://ci.xiaohongshu.com/1040g00831t75udvh6e005pcp0b0ogdgr1e17nlg?imageView2/2/w/540/format/jpg/q/75",
        "title": "所以说男孩子一定要多跟爸爸接触!",
        "brandName": null,
        "date": "2026-03-02",
        "thirdReadUserNum": 0
      },
      {
        "readNum": 7442,
        "likeNum": 191,
        "collectNum": 16,
        "isAdvertise": false,
        "isVideo": true,
        "noteId": "69a415610000000026033bb5",
        "imgUrl": "http://ci.xiaohongshu.com/1040g2sg31t5tqedd5a705pcp0b0ogdgrgj8otdo?imageView2/2/w/540/format/jpg/q/75",
        "title": "父母恩爱才是对孩子最好的教育!",
        "brandName": null,
        "date": "2026-03-01",
        "thirdReadUserNum": 0
      },
      {
        "readNum": 13588,
        "likeNum": 159,
        "collectNum": 28,
        "isAdvertise": false,
        "isVideo": true,
        "noteId": "69a17011000000002602c2d4",
        "imgUrl": "http://ci.xiaohongshu.com/1040g00831t3b4i80l6005pcp0b0ogdgrbrcehdo?imageView2/2/w/540/format/jpg/q/75",
        "title": "凭实力把自己养活😂",
        "brandName": null,
        "date": "2026-02-27",
        "thirdReadUserNum": 0
      }
    ],
    "total": 72
  }
}

💡 提示:为简化展示,列表类数据样例仅保留 1-2 条记录,实际返回条数以接口响应为准。